Name:          libfilezilla
Version:       0.49.0
Release:       1mamba
Summary:       A C++ library offering some basic functionality to build high-performing, platform-independent programs
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://lib.filezilla-project.org
Source:        https://download.filezilla-project.org/libfilezilla/libfilezilla-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libgmp-devel
BuildRequires: libgnutls-devel
BuildRequires: libnettle-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxcrypt-devel
## AUTOBUILDREQ-END

%description
libfilezilla is a free, open source C++ library, offering some basic functionality to build high-performing, platform-independent programs.
Some of the highlights include:
- A typesafe, multi-threaded event system that's very simple to use yet extremely efficient
- Timers for periodic events
- A datetime class that not only tracks timestamp but also their accuracy, which simplifies dealing with timestamps originating from different sources
- Simple process handling for spawning child processes with redirected I/O

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/libfilezilla.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libfilezilla
%{_includedir}/libfilezilla/*
%{_libdir}/libfilezilla.so
%{_libdir}/pkgconfig/libfilezilla.pc
%doc ChangeLog NEWS README

%changelog
* Sat Nov 09 2024 Automatic Build System <autodist@openmamba.org> 0.49.0-1mamba
- automatic version update by autodist

* Mon Jul 29 2024 Automatic Build System <autodist@openmamba.org> 0.48.1-1mamba
- automatic version update by autodist

* Sun Jun 30 2024 Automatic Build System <autodist@openmamba.org> 0.48.0-1mamba
- automatic version update by autodist

* Wed Apr 17 2024 Automatic Build System <autodist@openmamba.org> 0.47.0-1mamba
- automatic version update by autodist

* Wed Feb 07 2024 Automatic Build System <autodist@openmamba.org> 0.46.0-1mamba
- automatic version update by autodist

* Wed Oct 11 2023 Automatic Build System <autodist@mambasoft.it> 0.45.0-1mamba
- automatic version update by autodist

* Sun Jul 02 2023 Automatic Build System <autodist@mambasoft.it> 0.44.0-1mamba
- automatic version update by autodist

* Sun May 28 2023 Automatic Build System <autodist@mambasoft.it> 0.43.0-1mamba
- automatic version update by autodist

* Sat May 06 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.42.2-1mamba
- update to 0.42.2

* Thu Feb 23 2023 Automatic Build System <autodist@mambasoft.it> 0.41.1-1mamba
- automatic version update by autodist

* Thu Jan 12 2023 Automatic Build System <autodist@mambasoft.it> 0.41.0-1mamba
- automatic version update by autodist

* Tue Dec 13 2022 Automatic Build System <autodist@mambasoft.it> 0.40.0-1mamba
- automatic version update by autodist

* Thu Oct 13 2022 Automatic Build System <autodist@mambasoft.it> 0.39.2-1mamba
- automatic version update by autodist

* Wed Sep 14 2022 Automatic Build System <autodist@mambasoft.it> 0.39.1-1mamba
- automatic version update by autodist

* Sun Sep 11 2022 Automatic Build System <autodist@mambasoft.it> 0.39.0-1mamba
- automatic version update by autodist

* Thu Jul 21 2022 Automatic Build System <autodist@mambasoft.it> 0.38.1-1mamba
- automatic version update by autodist

* Tue Jul 12 2022 Automatic Build System <autodist@mambasoft.it> 0.38.0-1mamba
- automatic version update by autodist

* Sat Apr 30 2022 Automatic Build System <autodist@mambasoft.it> 0.37.2-1mamba
- automatic version update by autodist

* Sat Apr 09 2022 Automatic Build System <autodist@mambasoft.it> 0.37.1-1mamba
- automatic version update by autodist

* Sat Apr 02 2022 Automatic Build System <autodist@mambasoft.it> 0.37.0-1mamba
- automatic version update by autodist

* Fri Feb 04 2022 Automatic Build System <autodist@mambasoft.it> 0.36.0-1mamba
- automatic version update by autodist

* Thu Dec 09 2021 Automatic Build System <autodist@mambasoft.it> 0.35.0-1mamba
- automatic version update by autodist

* Wed Oct 27 2021 Automatic Build System <autodist@mambasoft.it> 0.34.2-1mamba
- automatic version update by autodist

* Tue Oct 19 2021 Automatic Build System <autodist@mambasoft.it> 0.34.1-1mamba
- automatic version update by autodist

* Thu Oct 14 2021 Automatic Build System <autodist@mambasoft.it> 0.34.0-1mamba
- automatic version update by autodist

* Thu Sep 30 2021 Automatic Build System <autodist@mambasoft.it> 0.33.0-1mamba
- automatic version update by autodist

* Wed Sep 15 2021 Automatic Build System <autodist@mambasoft.it> 0.32.0-1mamba
- automatic version update by autodist

* Tue Aug 10 2021 Automatic Build System <autodist@mambasoft.it> 0.31.1-1mamba
- automatic version update by autodist

* Thu Jul 29 2021 Automatic Build System <autodist@mambasoft.it> 0.31.0-1mamba
- automatic version update by autodist

* Sat Jul 10 2021 Automatic Build System <autodist@mambasoft.it> 0.30.0-1mamba
- automatic version update by autodist

* Sat Jul 03 2021 Automatic Build System <autodist@mambasoft.it> 0.29.0-1mamba
- automatic version update by autodist

* Thu May 06 2021 Automatic Build System <autodist@mambasoft.it> 0.28.0-1mamba
- automatic version update by autodist

* Tue Mar 16 2021 Automatic Build System <autodist@mambasoft.it> 0.27.1-1mamba
- automatic version update by autodist

* Fri Mar 05 2021 Automatic Build System <autodist@mambasoft.it> 0.27.0-1mamba
- automatic version update by autodist

* Sun Feb 07 2021 Automatic Build System <autodist@mambasoft.it> 0.26.0-1mamba
- automatic version update by autodist

* Fri Apr 10 2020 Automatic Build System <autodist@mambasoft.it> 0.13.0-2mamba
- automatic rebuild by autodist

* Sun Jul 29 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 0.13.0-1mamba
- update to 0.13.0

* Sun Apr 08 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 0.12.1-1mamba
- update to 0.12.1

* Thu Jul 14 2016 Automatic Build System <autodist@mambasoft.it> 0.5.3-1mamba
- automatic version update by autodist

* Sat Jun 04 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.2-1mamba
- update to 0.5.2

* Thu May 12 2016 Automatic Build System <autodist@mambasoft.it> 0.5.1-1mamba
- automatic version update by autodist

* Sat Feb 27 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.0.1-1mamba
- update to 0.4.0.1

* Tue Feb 02 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.1-1mamba
- package created using the webbuild interface
